/*
Theme Name: 	Newspaper
Theme URI: 		http://tagdiv.com
Description: 	Premium WordPress template, clean and easy to use.
Version: 		__td_deploy_version__
Author: 		tagDiv
Author URI: 	http://themeforest.net/user/tagDiv/portfolio
License:
License URI:
Tags:black, white, one-column, two-columns, fixed-layout
*/

/*

     _ _
    | \ | ___  _ _ _  ___ ___  ___  ___  ___  _ _
    |   |/ ._>| | | |<_-<| . \<_> || . \/ ._>| '_>
    |_\_|\___.|__/_/ /__/|  _/<___||  _/\___.|_|
                         |_|       |_|
    ~ tagDiv 2017 ~

  Thanks for using our theme !
  Our portfolio is here: http://tagdiv.com

*/

// speed booster fix
body {
  visibility: visible !important;
}

@import 'variables.less';
@import 'mixin.less';

// Reset
@import 'normalize.less';

// Reset the box-sizing
//
// Heads up! This reset may cause conflicts with some third-party widgets.
// For recommendations on resolving such conflicts, see
// http://getbootstrap.com/getting-started/#third-box-sizing

* {
  -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
  -moz-box-sizing: border-box; /* Firefox, other Gecko */
  box-sizing: border-box; /* Opera/IE 8+ */
}
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

img {
  max-width: 100%;
  width: auto\9;
  height: auto;
}

.td-main-content-wrap,
.td-category-grid {
  // background-color: #fff;
}

// item scope meta
.td-page-meta {
  display: none;
}

// grid
@import 'grid/grid.less';
@import 'grid/grid_blocks.less';
@import 'grid/grid_responsive.less';

// header
@import 'header.less';
@import 'header-search.less';
@import 'header-style.less';
@import 'menu-header.less';
@import 'menu-top.less';
@import 'menu-mobile.less';

// type
@import 'type.less';

// modules
@import 'pagebuilder/modules/modules.less';
@import 'pagebuilder/modules/module_1.less';
@import 'pagebuilder/modules/module_2.less';
@import 'pagebuilder/modules/module_3.less';
@import 'pagebuilder/modules/module_4.less';
@import 'pagebuilder/modules/module_5.less';
@import 'pagebuilder/modules/module_6.less';
@import 'pagebuilder/modules/module_7.less';
@import 'pagebuilder/modules/module_8.less';
@import 'pagebuilder/modules/module_9.less';
@import 'pagebuilder/modules/module_10.less';
@import 'pagebuilder/modules/module_11.less';
@import 'pagebuilder/modules/module_12.less';
@import 'pagebuilder/modules/module_13.less';
@import 'pagebuilder/modules/module_14.less';
@import 'pagebuilder/modules/module_15.less';
@import 'pagebuilder/modules/module_16.less';
@import 'pagebuilder/modules/module_17.less';
@import 'pagebuilder/modules/module_18.less';
@import 'pagebuilder/modules/module_19.less';
@import 'pagebuilder/modules/module_mx1.less';
@import 'pagebuilder/modules/module_mx2.less'; //search results
@import 'pagebuilder/modules/module_mx3.less';
@import 'pagebuilder/modules/module_mx4.less';

@import 'pagebuilder/modules/module_mx7.less';
@import 'pagebuilder/modules/module_mx8.less';
@import 'pagebuilder/modules/module_mx16.less';
@import 'pagebuilder/modules/module_mx17.less';

@import 'pagebuilder/modules/td-slide.less';

//css splitter for ie8 ie9
#td_css_split_separator {
  visibility: visible;
}

// blocks
@import 'pagebuilder/shortcodes/blocks.less';
@import 'pagebuilder/shortcodes/big-grids-mx.less';
@import 'pagebuilder/shortcodes/big-grids-style.less';
@import 'pagebuilder/shortcodes/big-grids.less';
@import 'pagebuilder/shortcodes/big-grids-full.less';
@import 'pagebuilder/shortcodes/top-authors.less';
@import 'pagebuilder/shortcodes/big-grid-slide.less';
@import 'block-templates.less';

// post and page
@import 'post.less';
@import 'post-sharing.less';
@import 'post-templates.less';
@import 'comments.less';
@import 'page.less';
@import 'review.less';
@import 'galleries.less';
@import 'gallery-slider.less';

@import 'category-templates.less';

// more stories box
@import 'more-stories.less';

//css splitter for ie8 ie9
#td_css_split_separator {
  visibility: visible;
}

// misc
@import 'font-icons.less';
@import 'magnific-popup.less';
@import 'modal-window.less';
@import 'pagebuilder/shortcodes/td-block-ad-box.less';
@import 'widgets-default.less';
@import 'retina.less';
@import 'social-counter.less';
@import 'boxed.less';
@import 'totop.less';
@import 'style_customizer.less';
//@import "style_customizer_old.less";
@import 'print.less';

// video playlist
@import 'video-playlists.less';

// pagebuilder
@import 'pagebuilder-elements.less';
@import 'td-composer.less';

// smart lists
@import 'smart-lists.less';

// weather widget
@import 'weather.less';

// instagram widget
@import 'instagram.less';
@import 'pinterest.less';

// exchange widget
@import 'exchange.less';

//plugins
//@import "woocommerce.less";
//@import "bbpress.less";
// @import 'buddypress.less';

// footer
@import 'footer.less';

// full width
@import 'full-width.less';

// scroll effects
@import 'scroll_effects.less';

// animations css
@import 'animations_compact.less';

// loading box css
@import 'td_loading_box.less';

@import 'animation-stack.less';

// custom css for devices
@import 'td-detect.less';

// &.td-md-is-firefox,
// &.ie8,
// &.ie9,
// &.ie10,
// &.ie11 {
//   .td-art-creek .td-art-creek-margin {
//     display: flex;
//   }
// }
// &.ie8,
// &.ie9,
// &.ie10,
// &.ie11 {
//   .stretch_row_content {
//     display: inline-block;
//   }
// }

// .td-art-creek {
//   .td-header-style-10 {
//     background-color: rgba(8, 8, 16, 0.81);

//     &:before {
//       content: '';
//       position: absolute;
//       top: 0;
//       left: 0;
//       width: 100%;
//       height: 100%;
//       background: -moz-linear-gradient(
//         top,
//         rgba(8, 8, 16, 0.85) 0%,
//         rgba(8, 8, 16, 0.85) 1%,
//         rgba(0, 0, 0, 0) 100%
//       ); /* FF3.6-15 */
//       background: -webkit-linear-gradient(
//         top,
//         rgba(8, 8, 16, 0.85) 0%,
//         rgba(8, 8, 16, 0.85) 1%,
//         rgba(0, 0, 0, 0) 100%
//       ); /* Chrome10-25,Safari5.1-6 */
//       background: linear-gradient(
//         to bottom,
//         rgba(8, 8, 16, 0.85) 0%,
//         rgba(8, 8, 16, 0.85) 1%,
//         rgba(0, 0, 0, 0) 100%
//       ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
//       filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d9000000', endColorstr='#080810',GradientType=0 ); /* IE6-9 */
//     }

//     .td-header-top-menu-full {
//       border-bottom: none;
//     }

//     .td-affix.td-header-menu-wrap {
//       background-color: #080810;

//       .td-main-menu-logo img {
//         max-width: 120px;
//       }
//     }

//     .td-logo-wrap-full {
//       background-color: transparent;
//       min-height: 100px;
//       line-height: 100px;
//     }

//     .td-logo {
//       line-height: 100px;
//     }

//     .td-header-gradient {
//       &:before {
//         display: none;
//       }
//     }

//     .sf-menu .menu-item > a {
//       letter-spacing: 2.5px;
//     }

//     ul.sf-menu > .td-menu-item > a {
//       /* responsive portrait tablet */
//       @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
//         font-size: 10px;
//         letter-spacing: 2px;
//       }
//     }
//   }

//   .td-art-creek-banner {
//     z-index: 0;

//     .td_block_image_box {
//       .td-custom-image a {
//         &:before {
//           background-color: #080810;
//         }

//         &:after {
//           display: none;
//         }

//         /* responsive portrait tablet */
//         @media (max-width: @responsive_p_tablet_max) {
//           height: 600px !important;
//         }

//         /* responsive portrait phone */
//         @media (max-width: @responsive_p_phone_max) {
//           height: calc(~'107vh - 10px') !important;
//         }
//       }

//       .td-custom-title {
//         /* desktop only */
//         @media (min-width: @responsive_l_tablet_max) {
//           width: 44%;
//         }

//         /* tablet + desktop */
//         @media (min-width: @responsive_p_tablet_min) {
//           left: 50%;
//           .transform(translate(-50%, -50%));
//         }

//         /* responsive landscape tablet */
//         @media (min-width: @responsive_l_tablet_min) and (max-width: @responsive_l_tablet_max) {
//           width: 70%;
//         }

//         /* responsive portrait tablet */
//         @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
//           width: 60%;
//         }
//       }

//       .entry-title {
//         padding-top: 90px;
//         font-family: Montserrat;
//         font-style: italic;
//         font-size: 34px;
//         line-height: 41px;
//         text-transform: none;

//         /* responsive portrait tablet */
//         @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
//           font-size: 28px;
//           line-height: 38px;
//         }

//         /* responsive portrait phone */
//         @media (max-width: @responsive_p_phone_max) {
//           font-size: 24px;
//           line-height: 32px;
//         }
//       }
//     }
//   }

//   .td_module_wrap,
//   .td_module_mega_menu,
//   .td_module_related_posts {
//     text-align: center;

//     .td-post-category {
//       position: relative;
//       background-color: transparent;
//       margin-right: 0;
//       padding-left: 0;
//       padding-right: 0;
//       text-transform: uppercase;
//       letter-spacing: 2px;
//       color: @td_theme_color;
//     }

//     .td-module-thumb {
//       img {
//         .transition(box-shadow 0.3s ease-out);
//       }

//       img.td-animation-stack-type0-2 {
//         .transition(box-shadow 0.3s ease-out, opacity 0.3s cubic-bezier(0.39, 0.76, 0.51, 0.56));
//       }

//       img.td-animation-stack-type1-2 {
//         .transition(box-shadow 0.3s ease-out, transform 0.5s ease, opacity 0.3s cubic-bezier(0.39, 0.76, 0.51, 0.56) 0s);
//       }

//       img.td-animation-stack-type2-2 {
//         .transition(box-shadow 0.3s ease-out, transform 0.4s cubic-bezier(0.13,0.43,0.57,0.88), opacity 0.4s cubic-bezier(0.13,0.43,0.57,0.88));
//       }

//       &:hover img {
//         box-shadow: rgba(108, 108, 108, 0.2) 0px 2px 2px,
//           rgba(108, 108, 108, 0.2) 0px 4px 4px,
//           rgba(108, 108, 108, 0.2) 0px 8px 8px,
//           rgba(108, 108, 108, 0.2) 0px 16px 16px,
//           rgba(108, 108, 108, 0.2) 0px 32px 32px,
//           rgba(108, 108, 108, 0.1) 0px 64px 64px;
//       }
//     }
//   }

//   .td_module_mega_menu,
//   .td_module_mx4,
//   .td_module_1,
//   .td_module_2 {
//     .td-post-category {
//       margin: 6px 0 0 0;
//       letter-spacing: 1.5px;
//     }

//     .td-module-thumb:hover img {
//       box-shadow: rgba(108, 108, 108, 0.2) 0px 2px 2px,
//         rgba(108, 108, 108, 0.2) 0px 4px 4px,
//         rgba(108, 108, 108, 0.2) 0px 8px 8px,
//         rgba(108, 108, 108, 0.2) 0px 16px 16px,
//         rgba(108, 108, 108, 0.1) 0px 32px 32px;
//     }
//   }

//   .td_module_mega_menu {
//     .item-details {
//       margin-top: -5px;
//     }
//   }

//   .td_module_2 {
//     .td-excerpt {
//       display: none;
//     }
//   }

//   .td_module_3 {
//     .td-post-category {
//       margin-bottom: 2px;
//       font-size: 11px;
//     }

//     .td-module-thumb:hover img {
//       box-shadow: rgba(108, 108, 108, 0.2) 0px 2px 2px,
//         rgba(108, 108, 108, 0.2) 0px 4px 4px,
//         rgba(108, 108, 108, 0.2) 0px 8px 8px,
//         rgba(108, 108, 108, 0.2) 0px 16px 16px,
//         rgba(108, 108, 108, 0.2) 0px 32px 32px,
//         rgba(108, 108, 108, 0.1) 0px 64px 64px;
//     }
//   }

//   .td_module_6,
//   .td_module_16,
//   .td_module_mx2 {
//     text-align: left;

//     .td-module-thumb:hover img {
//       box-shadow: rgba(108, 108, 108, 0.2) 0px 2px 2px,
//         rgba(108, 108, 108, 0.2) 0px 4px 4px,
//         rgba(108, 108, 108, 0.2) 0px 8px 8px,
//         rgba(108, 108, 108, 0.2) 0px 16px 16px;
//     }
//   }

//   .td_module_mx4,
//   .td_module_related_posts {
//     .td-post-category {
//       margin-top: 7px;
//       margin-bottom: 2px;
//     }
//   }

//   /* responsive portrait phone */
//   @media (max-width: @responsive_p_phone_max) {
//     .td_module_related_posts {
//       text-align: left;

//       .td-post-category {
//         margin-top: -2px;
//         text-align: center;
//       }
//     }
//   }

//   .td_module_mx4 {
//     @media (max-width: 500px) {
//       text-align: left;

//       .td-post-category {
//         display: none;
//       }
//     }
//   }

//   .td_module_19 {
//     .td-item-details {
//       padding-top: 40px;
//     }

//     .td-excerpt {
//       font-size: 15px;
//       line-height: 24px;
//     }
//   }

//   .td_with_ajax_pagination {
//     position: relative;
//     overflow: visible;

//     .td-block-title-wrap {
//       padding-left: 80px;

//       /* responsive portrait tablet */
//       @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
//         padding-left: 75px;
//       }
//     }
//   }

//   .td_block_template_12 {
//     .td-block-title-wrap {
//       width: 100%;
//       min-height: 52px;
//     }

//     .td-block-title {
//       margin-bottom: 0;

//       /* responsive portrait tablet */
//       @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
//         font-size: 20px;
//       }
//     }

//     .td-pulldown-category {
//       margin: 0;
//     }

//     .td-related-title {
//       margin-bottom: 14px;
//     }

//     .td-next-prev-wrap {
//       position: absolute;
//       margin-top: 0 !important;
//       top: -2px;

//       a {
//         width: 30px;
//         height: 30px;
//         line-height: 30px;
//         border-width: 2px;
//       }

//       i {
//         font-size: 11px;
//       }
//     }

//     &.td_block_mega_menu,
//     &.td_block_related_posts {
//       .td-next-prev-wrap {
//         position: relative;
//         top: 0;
//       }
//     }

//     &.td_block_related_posts {
//       .td-block-title {
//         margin-bottom: 20px;
//       }
//     }

//     .td-ajax-prev-page {
//       margin-right: 2px;
//       border-top-left-radius: 3px;
//       border-bottom-left-radius: 3px;
//     }

//     .td-ajax-next-page {
//       border-top-right-radius: 3px;
//       border-bottom-right-radius: 3px;
//     }
//   }

//   .td-art-creek-dark-row {
//     .td_module_wrap .td-module-title a,
//     .td-post-author-name a,
//     .td-social-style9 .td_social_info {
//       color: #fff;
//     }

//     .td_module_wrap:hover .td-module-title a {
//       color: @td_theme_color;
//     }

//     .td-module-thumb:hover img {
//       box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 2px, rgba(0, 0, 0, 0.2) 0px 4px 4px,
//         rgba(0, 0, 0, 0.2) 0px 8px 8px, rgba(0, 0, 0, 0.2) 0px 16px 16px,
//         rgba(0, 0, 0, 0.2) 0px 32px 32px, rgba(0, 0, 0, 0.1) 0px 64px 64px;
//     }

//     .td-social-style9 {
//       .td_social_type {
//         width: 50%;

//         /* responsive portrait phone */
//         @media (max-width: @responsive_p_phone_max) {
//           width: 25%;
//         }
//       }

//       .td_social_info_name {
//         color: #888;
//       }
//     }

//     .td_block_pinterest {
//       .td-pinterest-user,
//       .td-pinterest-followers {
//         color: #fff;
//       }

//       .td-pinterest-main-wrap {
//         overflow-y: hidden !important;
//       }
//     }
//   }

//   .td-social-style9 {
//     .td_social_type {
//       margin-bottom: 15px;

//       &:last-child,
//       &:nth-last-child(2) {
//         margin-bottom: 0;
//       }

//       /* responsive portrait phone */
//       @media (max-width: @responsive_p_phone_max) {
//         margin-bottom: 0;
//       }
//     }

//     .td_social_info {
//       font-family: Montserrat;
//       font-size: 22px;
//       line-height: 22px;

//       /* responsive portrait phone */
//       @media (max-width: @responsive_p_phone_max) {
//         font-size: 16px;
//         line-height: 18px;
//       }
//     }

//     .td_social_info_name {
//       text-transform: uppercase;
//       font-size: 10px;
//       font-weight: 600;
//       color: #757581;
//     }
//   }

//   .td_block_author {
//     &.td_block_widget {
//       .td-block-title {
//         text-align: center;
//       }
//     }

//     .avatar {
//       .border-radius(10px);
//     }

//     .td-author-name {
//       font-family: 'Source Sans Pro';
//       font-size: 22px;
//       font-weight: 700;

//       /* responsive portrait tablet */
//       @media (min-width: @responsive_p_tablet_min) and (max-width: @responsive_p_tablet_max) {
//         font-size: 18px;
//       }
//     }
//   }

//   &.single_template_13 {
//     .td-post-header {
//       .entry-category {
//         padding-left: 0;
//         padding-right: 0;

//         a {
//           background-color: transparent;
//           text-transform: uppercase;
//           letter-spacing: 2px;
//           font-size: 11px;
//           font-weight: 600;
//           color: @td_theme_color;
//         }
//       }
//     }

//     .author-box-wrap {
//       padding: 0;
//       border: none;
//     }
//   }

//   &.td_category_template_7 {
//     .td-category-header {
//       .td-page-title {
//         text-transform: none;
//       }
//     }
//   }
// }

.outline {
  border: 1px solid red;
}

a {
  transition: all 0.2s;
}

.td_module_1 {
  padding-bottom: 0;
  -webkit-box-shadow: 0 0 1px rgba(102, 102, 102, 0.4);
  -moz-box-shadow: 0 0 1px rgba(102, 102, 102, 0.4);
  box-shadow: 0 0 1px rgba(102, 102, 102, 0.4);
  background-color: #ffffff;

  img {
    border-bottom: 3px solid @td_theme_color;
  }

  .entry-title {
    margin: 0 20px 40px;
    min-height: 80px;
    // font-weight: 600;
  }

  .td-blog-architecture .td_module_3 .td-module-meta-info,
  .td-blog-architecture .td_module_1 .td-module-meta-info {
    display: inline-block;
    margin: 0 20px 20px;
  }
}

// .archive {
.td_module_12 {
  -webkit-box-shadow: 0 0 1px rgba(102, 102, 102, 0.4);
  -moz-box-shadow: 0 0 1px rgba(102, 102, 102, 0.4);
  box-shadow: 0 0 1px rgba(102, 102, 102, 0.4);
  background-color: #ffffff;
  border: none;

  // .entry-title {
  //   padding-top: 20px;
  // }

  .entry-title,
  .td-module-meta-info,
  .td-excerpt {
    padding-left: 20px;
    padding-right: 20px;
  }
  .td-read-more {
    margin-left: 20px;
    margin-bottom: 0px;
  }
}
// }

.logged-msg {
  padding: 20px;
  background: @td_theme_color;

  p {
    margin: 0;
    color: #fff;
    font-size: 1.1rem;
    line-height: 1.2;
  }

  a {
    text-decoration: underline;
    color: #fff;
  }
}

// rating
body:not(.global-block-template-9) .yasr-visitor-votes {
  display: none !important;
}

input[type="date"] {
  font-size: 12px;
  line-height: 21px;
  color: #444;
  border: 1px solid #e1e1e1;
  width: 100%;
  max-width: 100%;
  height: 34px;
  padding: 3px 9px;
}